<?php

namespace App\Http\Controllers;

use App\Models\Prestasi;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class PrestasiController extends Controller
{
    // ADMIN
    public function index()
    {
        $prestasis = Prestasi::orderBy('tahun', 'desc')->get();
        return view('admin.prestasi.index', compact('prestasis'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'nama_prestasi' => 'required',
            'tingkat' => 'required',
            'tahun' => 'required|digits:4'
        ]);

        Prestasi::create($request->all());
        return back()->with('success', 'Prestasi berhasil ditambahkan');
    }

    // public function update(Request $request, $id)
    // {
    //     Prestasi::findOrFail($id)->update($request->all());
    //     return back()->with('success', 'Prestasi diperbarui');
    // }

    public function update(Request $request, $id)
    {
        $request->validate([
            'nama_prestasi' => 'required',
            'tingkat' => 'required',
            'tahun' => 'required|digits:4'
        ]);

        Prestasi::findOrFail($id)->update([
            'nama_prestasi' => $request->nama_prestasi,
            'tingkat' => $request->tingkat,
            'tahun' => $request->tahun,
        ]);

        return back()->with('success', 'Prestasi berhasil diperbarui');
    }


    public function destroy($id)
    {
        Prestasi::findOrFail($id)->delete();
        return back()->with('success', 'Prestasi dihapus');
    }

    // PUBLIK
    public function publik()
    {
        $prestasis = Prestasi::orderBy('tahun', 'desc')->get();
        return view('prestasi.index', compact('prestasis'));
    }
}
